Bug 239603 - lang/crystal: update bootstrap to link against libevent-2.1.11
Summary: lang/crystal: update bootstrap to link against libevent-2.1.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on: 239599
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-02 13:41 UTC by Jan Beich
Modified: 2020-01-12 02:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (greg)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-08-02 13:41:36 UTC
While the port has LD_LIBMAP to fix the following error for out-of-ports builds bootstrap compiler needs to be rebuilt.

Using compiled compiler at `.build/crystal'
Shared object "libevent-2.1.so.6" not found, required by "crystal"
gmake[1]: *** [Makefile:123: .build/crystal] Error 1
Comment 1 Greg V 2019-08-04 21:08:07 UTC
hm, wait — out-of-ports builds, with the bootstrap compiler? Why use the bootstrap compiler out of ports?

Bootstraps will be rebuilt for the next version upgrade, but that's currently on hold due to LLVM bugs..
Comment 2 Greg V 2020-01-11 19:19:50 UTC
Version update in Bug 243276
Comment 3 commit-hook freebsd_committer 2020-01-12 02:18:56 UTC
A commit references this bug:

Author: jbeich
Date: Sun Jan 12 02:18:02 UTC 2020
New revision: 522742
URL: https://svnweb.freebsd.org/changeset/ports/522742

Log:
  lang/crystal: update to 0.32.1

  - Switch to devel/llvm90
  - Drop r507877 workaround
  - Drop separate bootstrap for FreeBSD 11

  Changes:	https://crystal-lang.org/2019/12/18/crystal-0.32.1-released.html
  PR:		239603 243276
  Submitted by:	Greg V (maintainer)

Changes:
  head/devel/shards/Makefile
  head/lang/crystal/Makefile
  head/lang/crystal/distinfo
  head/lang/crystal/pkg-message
  head/lang/crystal/pkg-plist